Fam Wencong, Kenneth

My Diary

Editor Errors In WordPress 4.9 & Higher

Published: Tuesday, May 12, 2020

Upgraded my site to the latest version of WordPress and found that I could not edit my Theme’s or Plugin’s PHP files. I was getting the error message “Unable to communicate back with site to check for fatal errors, so the PHP change was reverted. You will need to upload your PHP file change by some other means, such as by using SFTP.“.

After hours of trying to find the error, I still did not manage to find a solution on the web, only advise that the issue was an SSL thing. Tried over HTTP only; worked. Downgraded WordPress to 4.7; worked. Stuck to the downgrade solution as it I could not explain why only editing Theme or Plugin files caused the issue.

To download a previous version of WordPress, click here.